No announcement yet.

*Real* AMD Catalyst 12.9 Beta out now

  • Filter
  • Time
  • Show
Clear All
new posts

  • #11
    Originally posted by RussianNeuroMancer View Post
    On Ubuntu 12.10 install available fglrx package from repository.
    I noticed ..! It works now ..


    • #12
      yes, fglrx drivers are now avalaible for quantal, but with poor performance compared to same config with precise


      • #13
        Much Better Performance

        I installed the driver on my Asus 1215b which has one of the lower end Fusion chips in it that sports a Radeon 6310. It is MUCH smoother running this driver. Scrolling in Chrome is fluid and, as was said earlier in the thread, it seems overall 2D rendering is much better as the whole desktop seems more fluid. XVBA works in XBMC for video decoding and suspend has been working since I installed the 12.9 embedded driver.

        I hope this is an indicator of where things are going with the driver. My only concern is I see that the early release driver in Quantal is being reported as very slow. Hopefully, they get that sorted out before the final release.


        • #14
          compiz perhaps?

          legluondune, what DE are you using? Is it Unity by any chance? Compiz 0.9.8 introduced a few new options in the OpenGL plugin, namely "Framebuffer object", "Vertex buffer object" and "Always use buffer swapping", which, in my experience, made moving windows around feel slow and sluggish and caused somewhat higher CPU usage. So I disabled said options (as well as Sync To VBlank and enabled the Tear-Free option in CCC) and my desktop feels snappy again.


          • #15
            Working fine in Ubuntu 12.04 with HD7750

            I have just installed the driver in Ubuntu 12.04 (64-bit) and it works fine! This time I tried the "generate packages" method, which should make it easier to uninstall/upgrade. Beware though that the installer requires some dependencies to be preinstalled. Here is my recipe (for 64-bit version!):

            # Dependencies for generating .deb packages
            sudo apt-get install debhelper devscripts dh-modaliases execstack
            # Dependencies for installing .deb packages
            sudo apt-get install lib32gcc1 libc6-i386 dkms

            # Get driver
            mkdir ~/AMD;cd ~/AMD

            # Run installer
            sudo sh
            # Select "Generate Distribution Specific Driver Package"
            # Select "Build package for detected OS: Ubuntu/precise"
            # Installer should now run to completion without errors

            # Install driver
            sudo dpkg -i fglrx_9.000-0ubuntu1_amd64.deb fglrx-amdcccle_9.000-0ubuntu1_amd64.deb fglrx-dev_9.000-0ubuntu1_amd64.deb

            # Make an xorg.conf file
            sudo aticonfig --initial
            # And reboot....
            Last edited by Veto; 09-29-2012, 03:17 PM. Reason: Clarified to work for 64-bit..


            • #16


              • #17
                Originally posted by legluondunet View Post
                yes, fglrx drivers are now avalaible for quantal, but with poor performance compared to same config with precise
                Finally I have good performance with this drivers. But with Unity, wine games wich need big ressources (AION, Skyrim) have a poor framerate, it's unplayable. Anyway, I launch them on metacity and that's ok.


                • #18
                  Does this driver have support for kernel 3.5+ ?


                  • #19
                    No patch required for kernel 3.5/3.6.


                    • #20
                      Originally posted by Kano View Post
                      No patch required for kernel 3.5/3.6.
                      Thank you!